<?php

namespace Bydedi\Module\Listing;

/**
 * Interface ListingInterface
 * @package Bydedi\Module\Listing\Service
 */
interface ListingInterface
{

    /**
     * @return mixed
     */
    public function reset();

    /**
     * @return array
     */
    public function getItems();

    /**
     * @return array
     */
    public function getItemsToDisplay();

    /**
     * @return integer
     */
    public function getCountItems();

    /**
     * @return boolean
     */
    public function loadItems();

    /**
     * @return mixed
     */
    public function getPagination();
}
